#version 330 core

in vec3 position;
in vec2 texCoords;

out vec2 pass_texCoords;

uniform mat4 transformationMatrix;
uniform mat4 projectionMatrix;
uniform mat4 viewMatrix;

void main() {
	gl_Position = projectionMatrix * viewMatrix * transformationMatrix * vec4(position, 1);
	pass_texCoords = texCoords;
}